Bug 820571 - Deleting replication agreement from master doesn't delete it from the replica.
Deleting replication agreement from master doesn't delete it from the replica.
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Depends On:
  Show dependency treegraph
Reported: 2012-05-10 08:07 EDT by Gowrishankar Rajaiyan
Modified: 2012-05-16 09:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-16 09:11:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 2 Rob Crittenden 2012-05-10 09:28:54 EDT
Deleting a replica is recognition that the replica is going away forever, never to be used again. While deleting the agreement doesn't uninstall IPA on the replica that replica should no longer be used for anything. It cannot be reconnected to the other IPA servers without being re-installed with a new prepared file.

If a replica is deleted then re-added quickly then the main 389-ds instance on the IPA master it connects to should be restarted to flush the old service principal from its cache.
Comment 3 RHEL Product and Program Management 2012-05-14 00:04:22 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Martin Kosek 2012-05-14 03:10:45 EDT
Upstream ticket:
Comment 5 Rob Crittenden 2012-05-16 09:11:18 EDT
Closing as not a bug.

Note You need to log in before you can comment on or make changes to this bug.